### Class

# Gtk TreeListModel

#### Description [src]

    final class Gtk.TreeListModel : GObject.Object {
      /* No available fields */
    }

`GtkTreeListModel` is a list model that can create child models on demand.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GListModel

#### Constructors

###### gtk_tree_list_model_new

Creates a new empty `GtkTreeListModel` displaying `root` with all rows collapsed.

#### Instance methods

###### gtk_tree_list_model_get_autoexpand

Gets whether the model is set to automatically expand new rows that get added.

###### gtk_tree_list_model_get_child_row

Gets the row item corresponding to the child at index `position` for `self`‘s root model.

###### gtk_tree_list_model_get_model

Gets the root model that `self` was created with.

###### gtk_tree_list_model_get_passthrough

Gets whether the model is passing through original row items.

###### gtk_tree_list_model_get_row

Gets the row object for the given row.

###### gtk_tree_list_model_set_autoexpand

Sets whether the model should autoexpand.

#### Properties

###### Gtk.TreeListModel:autoexpand

If all rows should be expanded by default.

###### Gtk.TreeListModel:model

The root model displayed.

###### Gtk.TreeListModel:passthrough

Gets whether the model is in passthrough mode.

#### Class structure

    struct GtkTreeListModelClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.